Bug 1658505 - [RFE] Ansible Tower provider "Jobs" screen does not show Tower workflow jobs [NEEDINFO]
Summary: [RFE] Ansible Tower provider "Jobs" screen does not show Tower workflow jobs
Keywords:
Status: POST
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.11.z
Assignee: Harpreet Kataria
QA Contact: Nandini Chandra
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-12 10:15 UTC by Peter McGowan
Modified: 2020-02-06 03:22 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:
mfeifer: needinfo? (dmetzger)


Attachments (Terms of Use)
Screenshot showing 2 Tower jobs run from a workflow, but no workflow job (476.50 KB, image/png)
2018-12-12 16:22 UTC, Peter McGowan
no flags Details

Description Peter McGowan 2018-12-12 10:15:19 UTC
Description of problem:
The Automation -> Ansible Tower -> Jobs page does not show Tower workflow jobs, it only lists their constituent playbook jobs.

Version-Release number of selected component (if applicable):
5.10.0.29


How reproducible:
Every time


Steps to Reproduce:
1. Add an Ansible Tower server to CloudForms as a Tower Provider
2. Create a Tower workflow job comprising two playbook jobs
3. Create a CloudForms service catalog item to run the new Tower playbook, and order the service
4. Observe the Automation -> Ansible Tower -> Jobs page

Actual results:
The two constituent playbook jobs are shown, the workflow job is not. This makes it difficult to tell whether a workflow was run.

Expected results:
The workflow job should be shown in the jobs list.


Additional info:

Comment 2 Peter McGowan 2018-12-12 16:22:34 UTC
Created attachment 1513714 [details]
Screenshot showing 2 Tower jobs run from a workflow, but no workflow job

Comment 4 Bronagh Sorota 2019-01-03 18:47:43 UTC
Assigning to PM for prioritization.

Comment 8 dmetzger 2019-06-05 14:53:19 UTC
Giving it to Harpreet as a P2

Comment 9 Harpreet Kataria 2019-09-12 18:35:32 UTC
Already fixed in https://github.com/ManageIQ/manageiq-ui-classic/pull/6146

Comment 10 Marianne Feifer 2019-09-18 20:42:18 UTC
Should the target release be changed to 5.11.0? 5.11.1? 5.12.0?

Comment 11 Loic Avenel 2019-09-19 01:53:06 UTC
(In reply to Marianne Feifer from comment #10)
> Should the target release be changed to 5.11.0? 5.11.1? 5.12.0?

when we will select 5.11.z errata then we will target it 5.11.1 or 5.11.2 etc..


Note You need to log in before you can comment on or make changes to this bug.